/**
  ******************************************************************************
  * @file    main.h 
  * @author  SRA - Central Labs
  * @version V5.0.0
  * @date    18-March-2020
  * @brief   Header for main.c module
  ******************************************************************************
  * @attention
  *
  * <h2><center>&copy; Copyright (c) 2020 STMicroelectronics.
  * All rights reserved.</center></h2>
  *
  * This software component is licensed by ST under Ultimate Liberty license
  * SLA0055, the "License"; You may not use this file except in compliance with
  * the License. You may obtain a copy of the License at:
  *                             www.st.com/SLA0055
  *
  ******************************************************************************
  */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H
#ifdef __cplusplus
 extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "TargetFeatures.h"
   
/* Exported variables --------------------------------------------------------*/
extern RNG_HandleTypeDef hrng;

/* Exported types ------------------------------------------------------------*/
/* Exported constants --------------------------------------------------------*/ 

/* Exported macros -----------------------------------------------------------*/

/* Exported defines ----------------------------------------------------------*/
#define hrtc TargetBoardFeatures.RtcHandle

/* Exported functions ------------------------------------------------------- */  


#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */

/******************* (C) COPYRIGHT 2018 STMicroelectronics *****END OF FILE****/
