 /**
  ******************************************************************************
  * @file    MetaDataManager_Config.h
  * @author  SRA - Central Labs
  * @version V5.0.0
  * @date    18-March-2020
  * @brief   Header for Meta Data Manager
  ******************************************************************************
  * @attention
  *
  * <h2><center>&copy; Copyright (c) 2020 STMicroelectronics.
  * All rights reserved.</center></h2>
  *
  * This software component is licensed by ST under Ultimate Liberty license
  * SLA0055, the "License"; You may not use this file except in compliance with
  * the License. You may obtain a copy of the License at:
  *                             www.st.com/SLA0055
  *
  ******************************************************************************
 */
  
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef _METADATAMANAGER_CONFIG_H_
#define _METADATAMANAGER_CONFIG_H_

#ifdef __cplusplus
extern "C" {
#endif

#include "stm32l4xx_hal.h"

#include "azure_config.h"

#define MDM_PRINTF AZURE_PRINTF


#ifdef __cplusplus
}
#endif

#endif //_METADATAMANAGER_CONFIG_H_

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/

