/**
  ******************************************************************************
  * @file    console.h
  * @author  SRA - Central Labs
  * @version V5.0.0
  * @date    18-March-2020
  * @brief   This file provides APIs for demo standard output
  ******************************************************************************
  * @attention
  *
  * <h2><center>&copy; Copyright (c) 2020 STMicroelectronics.
  * All rights reserved.</center></h2>
  *
  * This software component is licensed by ST under Ultimate Liberty license
  * SLA0055, the "License"; You may not use this file except in compliance with
  * the License. You may obtain a copy of the License at:
  *                             www.st.com/SLA0055
  *
  ******************************************************************************
 */
 
#ifndef __CONSOLE_H
#define __CONSOLE_H

#ifdef __cplusplus
 extern "C" {
#endif 
 /* Exported functions ------------------------------------------------------- */
extern int uartSendChar(int ch);
extern int uartReceiveChar(void);
extern int cuiGetInteger(const char* message);

#ifdef __cplusplus
}
#endif

#endif /* __CONSOLE_H */

/******************* (C) COPYRIGHT 2018 STMicroelectronics *****END OF FILE****/
