@echo off
set CUBE_PROG="C:\Program Files\STMicroelectronics\STM32Cube\STM32CubeProgrammer\bin\STM32_Programmer_CLI.exe"
set NAMEAZURE1="B-L475E-IOT01\Debug\Azure1.bin"
set NAMEAZURE1_BL="B-L475E-IOT01\Debug\Azure1_BL.bin"
set BOOTLOADER="..\..\..\..\..\Utilities\BootLoader\B-L475E-IOT01\BootLoaderL4.bin"
set PORTNAME=SWD
color 0F
echo                /******************************************/
echo                           Clean FP-CLD-AZURE1
echo                /******************************************/
echo                              Full Chip Erase
echo                /******************************************/
%CUBE_PROG% -c port=%PORTNAME% -e all
echo                /******************************************/
echo                              Install BootLoader
echo                /******************************************/
%CUBE_PROG%  -c port=%PORTNAME% -d %BOOTLOADER% 0x08000000 -v
echo                /******************************************/
echo                          Install FP-CLD-AZURE1
echo                /******************************************/
%CUBE_PROG% -c port=%PORTNAME% -d %NAMEAZURE1% 0x08004000
echo                /******************************************/
echo                      Dump FP-CLD-AZURE1 + BootLoader
echo                /******************************************/
set offset_size=0x4000
for %%I in (%NAMEAZURE1%) do set application_size=%%~zI
echo %NAMEAZURE1% size is %application_size% bytes
set /a size=%offset_size%+%application_size%
echo Dumping %offset_size% + %application_size% = %size% bytes ...
echo ..........................
%CUBE_PROG%  -c port=%PORTNAME% -u 0x08000000 %size% %NAMEAZURE1_BL%
if NOT "%1" == "SILENT" pause